//-------------------------------------------------------------
//SKY
//-------------------------------------------------------------

textures/rgoer_coruscant/fog
{
	qer_editorimage textures/skies/cloudlayer2.tga
	qer_nocarve
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nonopaque
	surfaceparm fog
	surfaceparm trans
	surfaceparm pointlight
	fogparms ( .9 .92 1 ) 512
	cull twosided
}

textures/rgoer_coruscant/clouds
{
	qer_editorimage textures/skies/cloudlayer2.tga
	qer_nocarve
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nonopaque
	surfaceparm trans
	surfaceparm pointlight
	cull twosided
	{
		map textures/skies/cloudlayer2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod turb 0 1 0 0.05
		tcMod rotate -7
	}
	{
		map textures/skies/cloudlayer2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
		tcMod turb 0 0.1 1 0.1
		tcMod rotate 10
	}
}

textures/rgoer_coruscant/sky
{
	qer_editorimage textures/rgoer_coruscant/coruscant_sky.tga
	q3map_sun 255 211 144 500 -102 12 //3 16
	q3map_skyLight 200 4
	surfaceparm sky
	sort sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	notc
	skyparms textures/rgoer_coruscant/city 256 -
}

//-------------------------------------------------------------
//WATER
//-------------------------------------------------------------

textures/rgoer_coruscant/water
{
	qer_editorimage textures/rgoer_coruscant/water.tga
	qer_trans 0.5
	sort banner
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	q3map_material water
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 0 1.5 0.3 2
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		rgbGen const ( 0.85 0.65 0.65 )
		blendFunc GL_ONE GL_ONE
		glow
	}
}

textures/rgoer_coruscant/waterfall
{
	q3map_cloneshader textures/rgoer_coruscant/waterfall_back
	qer_editorimage textures/rgoer_coruscant/water.tga
	qer_trans 0.5
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm pointlight
	q3map_material water
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin -1 1.5 0.3 2
	{
		map textures/rgoer_coruscant/waterfall.tga
		tcMod scroll 0 -1.7
		alphaGen vertex
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/rgoer_coruscant/waterfall.tga
		tcMod scroll 0 -0.8
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen exactVertex
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_alpha.tga
		blendFunc blend
		alphaGen vertex
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		rgbGen const ( 0.85 0.65 0.65 )
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen vertex
		tcGen environment
	}
}

textures/rgoer_coruscant/waterfall_back
{
	q3map_invert
	qer_editorimage textures/rgoer_coruscant/water.tga
	qer_trans 0.5
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm pointlight
	q3map_material water
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 1 -1.5 0.3 2
	{
		map textures/rgoer_coruscant/waterfall.tga
		tcMod scroll 0 -1.7
		alphaGen vertex
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/rgoer_coruscant/waterfall.tga
		tcMod scroll 0 -0.8
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen exactVertex
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_alpha.tga
		blendFunc blend
		alphaGen vertex
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		rgbGen const ( 0.85 0.65 0.65 )
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen vertex
		tcGen environment
	}
}

textures/rgoer_coruscant/waterfall_alpha
{
	//q3map_cloneshader textures/rgoer_coruscant/waterfall_alpha_back
	qer_editorimage textures/rgoer_coruscant/water.tga
	qer_trans 0.5
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm pointlight
	q3map_material water
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin -1 1.5 0.3 2
	{
		map textures/rgoer_coruscant/waterfall_alpha.tga
		tcMod scroll 0 -1.7
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}

textures/rgoer_coruscant/water_nodraw
{
	qer_editorimage textures/system/nodraw

	qer_trans 0.5
	surfaceparm nomarks

	surfaceparm nodraw

	surfaceparm water
	surfaceparm trans

	q3map_nolightmap
}

textures/rgoer_coruscant/alpha_scale
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	qer_editorimage textures/rgoer_coruscant/alpha_0.tga

	qer_trans 0.5
	surfaceparm nomarks

	surfaceparm nodraw

	surfaceparm nonsolid
	surfaceparm trans
	q3map_nolightmap
}

//-------------------------------------------------------------
//STUPID
//-------------------------------------------------------------

textures/rgoer_coruscant/groovednolightmap
{
	qer_editorimage textures/rgoer_coruscant/groovednolightmap.tga
	surfaceparm nolightmap
	{
		map textures/rgoer_coruscant/groovednolightmap.tga
		rgbGen identity
	}
}

//-------------------------------------------------------------
//SIGNS
//-------------------------------------------------------------

textures/rgoer_coruscant/sign_a
{
	q3map_lightimage textures/rgoer_coruscant/sign_1_light.tga
	qer_editorimage	textures/rgoer_coruscant/sign_1.tga
	qer_trans 0.6
	q3map_surfacelight 500
	q3map_nolightmap
	surfaceparm trans
  	{
        	map textures/rgoer_coruscant/sign_1.tga
        	blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 0.25 0 0.25
	}
	{
		map textures/rgoer_coruscant/sign_1_glow1.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave sin 0.75 0.25 0.5 0.25
	}
	{
		map textures/rgoer_coruscant/sign_1_glow2.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave sawtooth -0.5 2 0 0.5
	}
	{
		map textures/rgoer_coruscant/sign_1_glow2.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave inversesawtooth -1 2 0 0.5
		tcMod scroll 0.5 0
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.25
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.035
	}
}

textures/rgoer_coruscant/sign_b
{
	q3map_lightimage textures/rgoer_coruscant/sign_2_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_2_01.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm trans
	{
		map textures/rgoer_coruscant/sign_2_01.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0.5 0.5
	}
	{
		map textures/rgoer_coruscant/sign_2_02.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0.3333 0.5
	}
	{
		map textures/rgoer_coruscant/sign_2_03.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave inverseSawtooth 0 1 0.1666 0.5
	}
	{
		map textures/rgoer_coruscant/sign_2_04.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave inverseSawtooth 0 1 .1111 0.5
	}
	{
		map textures/rgoer_coruscant/sign_2_05.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave inverseSawtooth 0 1 .06666 0.5
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.28
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.055
	}
}

textures/rgoer_coruscant/sign_c
{
	q3map_lightimage textures/rgoer_coruscant/sign_3_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_3.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm trans
	{
		map textures/rgoer_coruscant/sign_3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 0.25 0 0.4
		tcMod stretch sin 1.025 0.025 0 0.4
	}
	{
		map textures/rgoer_coruscant/sign_3_glow2.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		glow
		tcMod scroll 0 -0.111
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/sign_3_glow3.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		glow
		rgbGen wave sin 1 0.25 0.5 0.4
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.35
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.015
	}
}

textures/rgoer_coruscant/sign_d
{
	q3map_lightimage textures/rgoer_coruscant/sign_4_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_4.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm trans
	{
		map textures/rgoer_coruscant/sign_4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.65 0.25 0 0.25
	}
	{
		clampMap textures/rgoer_coruscant/sign_4_glow1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen wave sin 0.65 0.25 0.5 0.25
		tcMod rotate 10
		tcMod stretch sin .55 .5 0 .2
	}
	{
		map textures/rgoer_coruscant/sign_4_glow2.tga
		alphaFunc GT0
		blendFunc blend //GL_SRC_ALPHA GL_ZERO
		glow
		rgbGen wave sin 1 0.25 0.75 0.25
	}
	{
		map textures/rgoer_coruscant/sign_4_glow3.tga
		blendFunc GL_ONE GL_ONE
		glow
		rgbGen wave sin 0.65 0.35 0.5 0.25
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.15
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.075
	}
}

textures/rgoer_coruscant/sign_e
{
	q3map_lightimage textures/rgoer_coruscant/sign_3_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_5.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm trans
	{
		map textures/rgoer_coruscant/sign_5.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 0.25 0 0.125
		glow
	}
	{
		map textures/rgoer_coruscant/sign_5_glow1.jpg
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		//rgbGen wave sin 1 0.75 0 0.06
		tcMod scale 1 0.5
		tcMod stretch sin 1.125 0.125 0 0.04
		tcMod scroll 0 -0.025
	}
	{
		map textures/rgoer_coruscant/sign_5_glow2.jpg
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		//rgbGen wave sin 0.75 0.25 0.3 0.09
		tcMod scale 0.3 0.5
		tcMod stretch sin 1.125 0.125 0.3 0.05
		tcMod rotate 7
	}
	{
		map textures/rgoer_coruscant/sign_5_glow3.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 0.25
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.65
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.025
	}
}

textures/rgoer_coruscant/sign_f
{
	q3map_lightimage textures/rgoer_coruscant/sign_3_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_6.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_6.tga
		rgbGen vertex
	}
	{
		map textures/rgoer_coruscant/sign_6_glow.tga
		rgbGen wave sin 1 0.75 0 0.65
		blendFunc GL_ONE GL_ONE
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.31
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.082
	}
}

textures/rgoer_coruscant/sign_g
{
	q3map_lightimage textures/rgoer_coruscant/sign_7.tga
	qer_editorimage textures/rgoer_coruscant/sign_7.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_7.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 0.5 0 0.22
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.27
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.045
	}
}

textures/rgoer_coruscant/sign_h
{
	q3map_lightimage textures/rgoer_coruscant/sign_8.tga
	qer_editorimage textures/rgoer_coruscant/sign_8.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.75 0 0.82
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.41
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.017
	}
}

textures/rgoer_coruscant/sign_i
{
	q3map_lightimage textures/rgoer_coruscant/sign_9.tga
	qer_editorimage textures/rgoer_coruscant/sign_9.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_9.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 0.25 0 0.9
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.19
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.032
	}
}

textures/rgoer_coruscant/sign_j
{
	q3map_lightimage textures/rgoer_coruscant/sign_10_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_10.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_10.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.5 0 0.08
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.23
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.062
	}
}

textures/rgoer_coruscant/sign_k
{
	q3map_lightimage textures/rgoer_coruscant/sign_10_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_11.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_11.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.5 0 0.1
		glow	
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.33
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.055
	}
}

textures/rgoer_coruscant/sign_l
{
	q3map_lightimage textures/rgoer_coruscant/sign_8.tga
	qer_editorimage textures/rgoer_coruscant/sign_12.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_12.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.5 0 0.17
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.83
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.104
	}
}

textures/rgoer_coruscant/sign_m
{
	q3map_lightimage textures/rgoer_coruscant/sign_4_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_13.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_13.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.4 0 0.48
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.48
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.018
	}
}

textures/rgoer_coruscant/sign_n
{
	q3map_lightimage textures/rgoer_coruscant/sign_7.tga
	qer_editorimage textures/rgoer_coruscant/sign_14.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_14.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.6 0 0.55
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.38
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.027
	}
}

textures/rgoer_coruscant/sign_o
{
	q3map_lightimage textures/rgoer_coruscant/sign_4_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_15.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_15.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 0.5 0 0.27
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.258
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.0367
	}
}

textures/rgoer_coruscant/sign_p
{
	q3map_lightimage textures/rgoer_coruscant/sign_1_light.tga
	qer_editorimage textures/rgoer_coruscant/sign_16.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_16.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.2 0 0.77
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.68
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.077
	}
}

textures/rgoer_coruscant/sign_q
{
	q3map_lightimage textures/rgoer_coruscant/sign_17.tga
	qer_editorimage textures/rgoer_coruscant/sign_17.tga
	q3map_surfacelight 500
	qer_trans 0.6
	q3map_nolightmap
	surfaceparm pointlight
	surfaceparm trans
	cull disable
	{
		map textures/rgoer_coruscant/sign_17.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.32
		glow
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.75 0 2
		tcMod scroll 0 -0.18
	}
	{
		map textures/rgoer_coruscant/flicker.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 2 0 4
		tcMod scroll 0 0.097
	}
}

//-------------------------------------------------------------
//LIGHTS
//-------------------------------------------------------------

textures/rgoer_coruscant/white_light_1k
{
	qer_editorimage textures/rgoer_coruscant/white.tga
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	surfaceparm nolightmap
	{
		map $whiteimage
		rgbGen identity
		glow
	}
}

textures/rgoer_coruscant/white_light_5k
{
	qer_editorimage textures/rgoer_coruscant/white.tga
	q3map_surfacelight 5000
	q3map_lightsubdivide 4
	surfaceparm nolightmap
	{
		map $whiteimage
		rgbGen identity
		glow
	}
}

textures/rgoer_coruscant/light_a_1k
{
	qer_editorimage textures/rgoer_coruscant/light_a.tga
	q3map_shadeangle 60
	q3map_surfacelight 1000
	surfaceparm nolightmap
	{
		map textures/rgoer_coruscant/light_a.tga
		rgbGen identity
		glow
	}
	{
		map textures/rgoer_coruscant/light_a_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		glow
	}
}

textures/rgoer_coruscant/light_b_1k
{
	qer_editorimage textures/rgoer_coruscant/light_b.tga
	q3map_shadeangle 60
	q3map_surfacelight 1000
	surfaceparm nolightmap
	{
		map textures/rgoer_coruscant/light_b.tga
		rgbGen identity
		glow
	}
	{
		map textures/rgoer_coruscant/light_b_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		glow
	}
}

textures/rgoer_coruscant/light_c_1k
{
	qer_editorimage textures/rgoer_coruscant/light_c.tga
	q3map_shadeangle 60
	q3map_surfacelight 1000
	surfaceparm nolightmap
	{
		map textures/rgoer_coruscant/light_c.tga
		rgbGen identity
		glow
	}
	{
		map textures/rgoer_coruscant/light_c_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		glow
	}
}

textures/rgoer_coruscant/light_d_1k
{
	qer_editorimage textures/rgoer_coruscant/light_d.tga
	q3map_shadeangle 60
	q3map_surfacelight 1000
	surfaceparm nolightmap
	{
		map textures/rgoer_coruscant/light_d.tga
		rgbGen identity
		glow
	}
	{
		map textures/rgoer_coruscant/light_d_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		glow
	}
}

textures/rgoer_coruscant/light_e_1k
{
	qer_editorimage textures/rgoer_coruscant/light_e.tga
	q3map_shadeangle 60
	q3map_surfacelight 1000
	surfaceparm nolightmap
	{
		map textures/rgoer_coruscant/light_e.tga
		rgbGen identity
		glow
	}
	{
		map textures/rgoer_coruscant/light_e_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		glow
	}
}

textures/rgoer_coruscant/light_f_1k
{
	qer_editorimage textures/rgoer_coruscant/light_f.tga
	q3map_shadeangle 60
	q3map_surfacelight 1000
	surfaceparm nolightmap
	{
		map textures/rgoer_coruscant/light_f.tga
		rgbGen identity
		glow
	}
	{
		map textures/rgoer_coruscant/light_f_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		glow
	}
}

textures/rgoer_coruscant/cutout_dk_lt_light_1k
{
	qer_editorimage textures/rgoer_coruscant/cutout_dk_lt_light.tga
	q3map_lightimage textures/rgoer_coruscant/white.tga
	q3map_shadeangle 60
	q3map_surfacelight 1000
	q3map_backsplash 0.5 64
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/cutout_dk_lt_light.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/rgoer_coruscant/cutout_dk_lt_light_glow.tga
		rgbGen identity
		blendFunc GL_ONE GL_ONE
		glow
	}
}

//-------------------------------------------------------------
//TEXTURES
//-------------------------------------------------------------

textures/rgoer_coruscant/floor_1
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/floor_1.tga
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		rgbGen identity
		tcGen environment
	}
	{	
		map textures/rgoer_coruscant/floor_1.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/floor_1_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/floor_1.tga
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{	
		map textures/rgoer_coruscant/floor_1.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/floor_2
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/floor_2.tga
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		rgbGen identity
		tcGen environment
	}
	{	
		map textures/rgoer_coruscant/floor_2.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/floor_2_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/floor_2.tga
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{	
		map textures/rgoer_coruscant/floor_2.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/wall_1
{
	q3map_forcemeta
	q3map_shadeangle 60
	polygonOffset
	sort 6
	qer_editorimage textures/rgoer_coruscant/wall_1.tga
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/wall_1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen const ( 0.5 0.5 0.5 )
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthWrite
	}
}

textures/rgoer_coruscant/smooth_dk_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/smooth_dk
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/smooth_dk.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/smooth_dk
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/smooth_dk
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/smooth_dk.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/slats
{
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/slats.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/rgoer_coruscant/wall_metal_hexagon
{
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/wall_metal_hexagon.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/wall_yellow
{
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/wall_yellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/bluish_metal
{
	q3map_forcemeta
	q3map_shadeangle 60
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/bluish_metal.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/bluish_metal_sun
{
	q3map_forcemeta
	qer_editorimage textures/rgoer_coruscant/bluish_metal.tga
	{
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
	}
	{
		map textures/rgoer_coruscant/bluish_metal.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/cutout_dk_lt_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/cutout_dk_lt.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/cutout_dk_lt.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/cutout_dk_lt
{
	q3map_forcemeta
	qer_editorimage textures/rgoer_coruscant/cutout_dk_lt.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/cutout_dk_lt.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/cutout_dk_orange_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/cutout_dk_orange.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/cutout_dk_orange.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/cutout_dk_orange
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/cutout_dk_orange.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/cutout_dk_orange.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/cutout_lt_dk_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/cutout_lt_dk.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/cutout_lt_dk.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/cutout_lt_dk
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/cutout_lt_dk.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/cutout_lt_dk.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/cutout_lt_orange_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/cutout_lt_orange.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/cutout_lt_orange.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/cutout_lt_orange
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/cutout_lt_orange.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/cutout_lt_orange.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_fan_centerline_hex_door_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_fan_centerline_hex_door.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/flat_fan_centerline_hex_door.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_fan_centerline_hex_door
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_fan_centerline_hex_door.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/flat_fan_centerline_hex_door.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_fan_centerline_hexed_1_sun
{
	//q3map_forcemeta
	surfaceparm pointlight
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_fan_centerline_hexed_1.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/flat_fan_centerline_hexed_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen vertex
	}
	//{
	//	map $lightmap
	//	blendFunc GL_DST_COLOR GL_ZERO
	//}
}

textures/rgoer_coruscant/flat_fan_centerline_painted
{
	q3map_forcmeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_fan_centerline_painted.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/flat_fan_centerline_painted.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_fan_centerline_hexed_1
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_fan_centerline_hexed_1.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/flat_fan_centerline_hexed_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_tan
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_tan.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/flat_tan.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_tan_centerline_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_tan_centerline.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/flat_tan_centerline.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_tan_centerline
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_tan_centerline.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/flat_tan_centerline.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_tan_trim_sun
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_tan_trim.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/coruscant_envmap_sun.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.85 0.65 0.65 )
		glow
	}
	{
		map textures/rgoer_coruscant/flat_tan_trim.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/flat_tan_trim
{
	q3map_forcemeta
	q3map_shadeangle 60
	qer_editorimage textures/rgoer_coruscant/flat_tan_trim.tga
	{	
		map textures/rgoer_coruscant/coruscant_envmap.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/flat_tan_trim.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rgoer_coruscant/nicked_lt
{
	q3map_forcemeta
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/nicked_lt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/panel_dk
{
	q3map_forcemeta
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/panel_dk.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/panel_lt
{
	q3map_forcemeta
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/panel_lt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/panel_orange
{
	q3map_forcemeta
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/panel_orange.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/perfed_dk
{
	q3map_forcemeta
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/perfed_dk.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/perfed_orange
{
	q3map_forcemeta
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rgoer_coruscant/perfed_orange.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rgoer_coruscant/wake
{
	qer_editorimage textures/rgoer_coruscant/ripple.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	
	// pass 1
	{
		clampmap textures/rgoer_coruscant/ripple.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sawtooth			0 1 0 0.4
		alphaGen wave inversesawtooth	0 1 0 0.4
	}
	{
		clampmap textures/rgoer_coruscant/ripple.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		tcMod transform -1 0 0 -1 1 1
		tcMod stretch sawtooth			0 1 0 0.4
		alphaGen wave inversesawtooth	0 1 0 0.4
	}
	
	// pass 2
	{
		clampmap textures/rgoer_coruscant/ripple.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sawtooth			0 1 0.33 0.5
		alphaGen wave inversesawtooth	0 1 0.33 0.5
	}
	{
		clampmap textures/rgoer_coruscant/ripple.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		tcMod transform -1 0 0 -1 1 1
		tcMod stretch sawtooth			0 1 0.33 0.5
		alphaGen wave inversesawtooth	0 1 0.33 0.5
	}
	
	// pass 3
	{
		clampmap textures/rgoer_coruscant/ripple.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sawtooth			0 1 0.66 0.4
		alphaGen wave inversesawtooth	0 1 0.66 0.4
	}
	{
		clampmap textures/rgoer_coruscant/ripple.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		tcMod transform -1 0 0 -1 1 1
		tcMod stretch sawtooth			0 1 0.66 0.4
		alphaGen wave inversesawtooth	0 1 0.66 0.4
	}
}

textures/rgoer_coruscant/building_ext3_new
{
	qer_editorimage	textures/rooftop/building_ext3_new

	q3map_nolightmap
	{

	        map textures/rooftop/building_ext3_new
	
        rgbGen vertex
	
        tcMod scale 0.5 0.5

	}
	{
		map textures/rooftop/building_ext3_glw_new
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scale 0.5 0.5
	}
}

textures/rgoer_coruscant/building_ext6_new
{
	qer_editorimage textures/rooftop/building_ext6_new.tga
	{
		map $lightmap
	}
	{
		map textures/rooftop/building_ext6_new.tga
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod scale 0.5 0.5
	}
	{
		map textures/rooftop/building_ext6_glw_new
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scale 0.5 0.5
	}
	{
		map textures/rooftop/building_ext6_glw2_new
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scale 0.5 0.5
	}
}

textures/rgoer_coruscant/window_building_b
{
	qer_editorimage textures/rooftop/window_building_b.tga
	{
		map $lightmap
	}
	{
		map textures/rooftop/window_building_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/rooftop/window_building_glow_new.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/rgoer_coruscant/building_ext3
{
	qer_editorimage textures/rooftop/building_ext3.tga
	surfaceparm pointlight
	{
		map textures/rooftop/building_ext3.tga
		rgbGen vertex
	}
	{
		map textures/rooftop/building_ext3_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/rooftop/building_ext3_glwg.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.35 0 0.6
	}
	{
		map textures/rooftop/building_ext3_glwr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.35 0 0.6
	}
}

textures/rgoer_coruscant/building_ext4_new
{
	qer_editorimage textures/rooftop/building_ext4_new
	{
		map $lightmap
	}
	{
		map textures/rooftop/building_ext4_new
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod scale 0.5 0.5

	}

	{

        	map textures/rooftop/building_ext4_glw_new
		blendFunc GL_ONE GL_ONE


		rgbGen identity

		tcMod scale 0.5 0.5
	}

}

textures/rgoer_coruscant/building_ext1
{
	qer_editorimage textures/rooftop/building_ext1.tga
	{
		map $lightmap
	}
	{
		map textures/rooftop/building_ext1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/rooftop/building_ext1_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/rgoer_coruscant/building_ext2test_new
{
	qer_editorimage textures/rooftop/building_ext2test_new.tga
	{
		map $lightmap
	}
	{
		map textures/rooftop/building_ext2test_new.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scale 0.5 0.5
	}
	{
		map textures/rooftop/building_ext2test_glw_new.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod entityTranslate
	}
	{
		map textures/rooftop/building_ext2test_glw_new.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scale 0.5 0.5
	}
}

textures/rgoer_coruscant/window_building_new
{
	qer_editorimage textures/rooftop/window_building_b.tga
	{
		map $lightmap
	}
	{
		map textures/rooftop/window_building_new.tga
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod scale 0.5 0.5
	}
	{
		map textures/rooftop/window_building_glow_new.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scale 0.5 0.5
	}
}

textures/rgoer_coruscant/building_ext6
{
	qer_editorimage textures/rooftop/building_ext6.tga
	{
		map $lightmap
	}
	{
		map textures/rooftop/building_ext6
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/rooftop/building_ext6_glow
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/rgoer_coruscant/building_ext4
{
	qer_editorimage textures/rooftop/building_ext4.tga
	{
		map $lightmap
	}
	{
		map textures/rooftop/building_ext4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/rooftop/building_ext4_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}